--Siegfried Fennig 19.01.2003 Rev. 0

levelw = 20
levelh = 13

create_world(levelw, levelh)
fill_floor("fl-abyss", 0,0, level_width,level_height)
fill_floor("fl-water", 0,1, level_width,level_height-2)
fill_floor("fl-sahara", 1,2, 18,9)

oxyd_default_flavor = "d"

oxyd( 4, 4)
oxyd( 9, 4)
oxyd(14, 5)
oxyd( 9, 6)
oxyd( 4, 7)
oxyd(13, 7)

oxyd_shuffle()

set_stones("st-white4", {{9,5},{10,6},{16,5},{12,6},{8,7},{12,9}})
set_stones("st-black4", {{14,3},{7,4},{4,6},{5,6},{11,6},
                         {13,6},{15,7},{5,8},{13,8}})

set_stone("st-oneway_black", 2, 3, {orientation=enigma.WEST})
set_stone("st-oneway_black", 4, 3, {orientation=enigma.WEST})
set_stone("st-oneway_black",12, 4, {orientation=enigma.WEST})
set_stone("st-oneway_black",12, 5, {orientation=enigma.WEST})
set_stone("st-oneway_black",13, 5, {orientation=enigma.WEST})
set_stone("st-oneway_black",15, 6, {orientation=enigma.WEST})
set_stone("st-oneway_black", 2, 7, {orientation=enigma.WEST})
set_stone("st-oneway_black", 3, 7, {orientation=enigma.WEST})
set_stone("st-oneway_black", 9, 7, {orientation=enigma.WEST})

set_stone("st-oneway_black", 3, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 7, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 3, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 5, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 2, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_black",14, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_black",16, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_black",11, 5, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 3, 6, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 7, 6, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 8, 6, {orientation=enigma.NORTH})
set_stone("st-oneway_black",14, 6, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 5, 7, {orientation=enigma.NORTH})
set_stone("st-oneway_black",16, 7, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 7, 8, {orientation=enigma.NORTH})
set_stone("st-oneway_black",15, 8, {orientation=enigma.NORTH})
set_stone("st-oneway_black",16, 8, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 2, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 4, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 8, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_black", 9, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_black",11, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_black",15, 9, {orientation=enigma.NORTH})

set_stone("st-oneway_black",11, 3, {orientation=enigma.EAST})
set_stone("st-oneway_black",12, 7, {orientation=enigma.EAST})
set_stone("st-oneway_black", 3, 8, {orientation=enigma.EAST})

set_stone("st-oneway_black",11, 4, {orientation=enigma.SOUTH})
set_stone("st-oneway_black", 4, 8, {orientation=enigma.SOUTH})
set_stone("st-oneway_black", 3, 9, {orientation=enigma.SOUTH})

set_stone("st-oneway_white", 5, 3, {orientation=enigma.EAST})
set_stone("st-oneway_white", 8, 3, {orientation=enigma.EAST})
set_stone("st-oneway_white",17, 3, {orientation=enigma.EAST})
set_stone("st-oneway_white",13, 4, {orientation=enigma.EAST})
set_stone("st-oneway_white", 2, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white", 3, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white", 5, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white", 7, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white", 8, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white",15, 5, {orientation=enigma.EAST})
set_stone("st-oneway_white", 2, 6, {orientation=enigma.EAST})
set_stone("st-oneway_white",16, 6, {orientation=enigma.EAST})
set_stone("st-oneway_white",17, 6, {orientation=enigma.EAST})
set_stone("st-oneway_white", 7, 7, {orientation=enigma.EAST})
set_stone("st-oneway_white",10, 7, {orientation=enigma.EAST})
set_stone("st-oneway_white",11, 7, {orientation=enigma.EAST})
set_stone("st-oneway_white",14, 7, {orientation=enigma.EAST})
set_stone("st-oneway_white", 6, 8, {orientation=enigma.EAST})
set_stone("st-oneway_white", 8, 8, {orientation=enigma.EAST})
set_stone("st-oneway_white", 9, 8, {orientation=enigma.EAST})
set_stone("st-oneway_white",17, 8, {orientation=enigma.EAST})

set_stone("st-oneway_white", 6, 3, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",10, 3, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",15, 3, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",17, 5, {orientation=enigma.SOUTH})
set_stone("st-oneway_white", 6, 6, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",17, 7, {orientation=enigma.SOUTH})
set_stone("st-oneway_white",14, 9, {orientation=enigma.SOUTH})

set_stone("st-oneway_white", 9, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_white",12, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_white",13, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_white",16, 3, {orientation=enigma.NORTH})
set_stone("st-oneway_white", 6, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_white",10, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_white",15, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_white",17, 4, {orientation=enigma.NORTH})
set_stone("st-oneway_white", 4, 5, {orientation=enigma.NORTH})
set_stone("st-oneway_white", 6, 5, {orientation=enigma.NORTH})
set_stone("st-oneway_white",10, 5, {orientation=enigma.NORTH})
set_stone("st-oneway_white",10, 8, {orientation=enigma.NORTH})
set_stone("st-oneway_white",12, 8, {orientation=enigma.NORTH})
set_stone("st-oneway_white", 7, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_white",10, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_white",16, 9, {orientation=enigma.NORTH})
set_stone("st-oneway_white",17, 9, {orientation=enigma.NORTH})

set_stone("st-oneway_white", 2, 4, {orientation=enigma.WEST})
set_stone("st-oneway_white", 8, 4, {orientation=enigma.WEST})
set_stone("st-oneway_white", 6, 7, {orientation=enigma.WEST})
set_stone("st-oneway_white", 2, 8, {orientation=enigma.WEST})
set_stone("st-oneway_white",11, 8, {orientation=enigma.WEST})
set_stone("st-oneway_white",14, 8, {orientation=enigma.WEST})
set_stone("st-oneway_white", 5, 9, {orientation=enigma.WEST})
set_stone("st-oneway_white", 6, 9, {orientation=enigma.WEST})
set_stone("st-oneway_white",13, 9, {orientation=enigma.WEST})

set_item("it-yinyang",  1, 4)
set_item("it-yinyang",  1, 8)

set_actor("ac-blackball", 1.5, 4.5, {player=0})
set_actor("ac-whiteball", 1.5, 8.5, {player=1})
